Skip to content

Subscription

All operations require authentication.

3 operationsv1/vrack/{serviceName}
Agent setup

Get this object propertiesBeta

GET
/1.0/vrack/{serviceName}/serviceInfos

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200NonExpiringServicesuccessful operation
contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "serviceId": 0, "status": "autorenewInProgress"}

Request service terminationProduction

POST
/1.0/vrack/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Confirm service terminationProduction

POST
/1.0/vrack/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The internal name of your vrack

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"